"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SsdpDeviceDescriptor_1 = require("./SsdpDeviceDescriptor");
const SsdpType_1 = require("./SsdpType");
class SsdpRootDeviceDescriptor extends SsdpDeviceDescriptor_1.SsdpDeviceDescriptor {
    constructor(domain, name, uuid) {
        super(name);
        this.devices = [];
        this.domain = domain;
        this.type = SsdpType_1.SsdpType.rootDevice;
        this.uuid = uuid;
    }
    addDevice(device) {
        if (device.location === undefined) {
            device.location = this.location;
        }
        this.devices.push(device);
    }
    getUSN(index) {
        switch (index) {
            case 1:
                return `uuid:${this.uuid}::upnp:rootdevice`;
            case 2:
                return `uuid:${this.uuid}`;
            case 3:
                return `uuid:${this.uuid}::urn:${this.domain}:device:${this.name}`;
        }
    }
    getNT(index) {
        switch (index) {
            case 1:
                return `upnp:rootdevice`;
            case 2:
                return `uuid:${this.uuid}`;
            case 3:
                // urn:domain-name:device:deviceType:ver
                return `urn:${this.domain}:device:${this.name}`;
        }
    }
}
exports.SsdpRootDeviceDescriptor = SsdpRootDeviceDescriptor;

//# sourceMappingURL=SsdpRootDeviceDescriptor.js.map
