import { IDisposable } from 'dotup-ts-types';
import { SsdpDescriptor } from './Descriptors/SsdpDescriptor';
import { SsdpSocket } from './Sockets/SsdpSocket';
import { SsdpConfig } from './SsdpConfig';
export declare class SsdpAdvertiser implements IDisposable {
    protected socket: SsdpSocket;
    readonly ssdpConfig: SsdpConfig;
    private timer;
    constructor(socket: SsdpSocket, ssdpConfig: SsdpConfig);
    startPublishing(): void;
    stopPublishing(): Promise<void>;
    private sendDiscoveryMessages;
    private sendByebyeMessages;
    createMessages(messageFactory: (ssdpDescriptor: SsdpDescriptor) => string[]): string[];
    publish(message: string): void;
    private searchResponse;
    dispose(): Promise<void>;
}
