"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SsdpRootDeviceDescriptor_1 = require("./Descriptors/SsdpRootDeviceDescriptor");
const SsdpServiceDescriptor_1 = require("./Descriptors/SsdpServiceDescriptor");
const tools_1 = require("./tools");
var SsdpConfigLoader;
(function (SsdpConfigLoader) {
    function createRootDeviceDescriptor(config) {
        const rootConfig = config.SsdpAdvertiser.RootDevice;
        // Create root device
        const root = new SsdpRootDeviceDescriptor_1.SsdpRootDeviceDescriptor(rootConfig.domain, rootConfig.name, tools_1.getHostname());
        rootConfig.services.forEach(serviceConfig => {
            const service = new SsdpServiceDescriptor_1.SsdpServiceDescriptor(serviceConfig.name);
            const headers = Object.keys(serviceConfig.headers);
            headers.forEach(header => {
                service.addHeader(header, serviceConfig.headers[header]);
            });
            // Add service
            root.addService(service);
        });
        return root;
    }
    SsdpConfigLoader.createRootDeviceDescriptor = createRootDeviceDescriptor;
})(SsdpConfigLoader = exports.SsdpConfigLoader || (exports.SsdpConfigLoader = {}));

//# sourceMappingURL=SsdpConfigLoader.js.map
