"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SsdpConstants;
(function (SsdpConstants) {
    let HeaderKeys;
    (function (HeaderKeys) {
        HeaderKeys["NT"] = "NT";
        HeaderKeys["USN"] = "USN";
        HeaderKeys["LOCATION"] = "LOCATION";
        HeaderKeys["CACHE_CONTROL"] = "CACHE-CONTROL";
    })(HeaderKeys = SsdpConstants.HeaderKeys || (SsdpConstants.HeaderKeys = {}));
    let StartLine;
    (function (StartLine) {
        StartLine["NOTIFY"] = "NOTIFY * HTTP/1.1";
        StartLine["M-SEARCH"] = "M-SEARCH * HTTP/1.1";
        StartLine["HTTP"] = "HTTP/1.1 200 OK";
        /**
         * NOTIFY * HTTP/1.1\r\n
         *
            M-SEARCH * HTTP/1.1\r\n
            HTTP/1.1 200 OK\r\n
         */
    })(StartLine = SsdpConstants.StartLine || (SsdpConstants.StartLine = {}));
    SsdpConstants.ipv6AddressLinkLocal = 'FF02::C';
    SsdpConstants.ipv4Address = '239.255.255.250';
    SsdpConstants.port = 1900;
    SsdpConstants.ttl = 2;
    SsdpConstants.mSearch = 'M-SEARCH';
    SsdpConstants.ssdpAll = 'ssdp:all';
    SsdpConstants.ssdpDiscover = 'ssdp:discover';
    SsdpConstants.ssdpAlive = 'ssdp:alive';
    SsdpConstants.ssdpByebye = 'ssdp:byebye';
    // Upnp
    SsdpConstants.upnpRootDevice = 'upnp:rootdevice';
    SsdpConstants.upnpBasicDevice = 'Basic';
    SsdpConstants.pnpRootDevice = 'pnp:rootdevice';
})(SsdpConstants = exports.SsdpConstants || (exports.SsdpConstants = {}));

//# sourceMappingURL=SsdpConstants.js.map
