/// <reference types="node" />
import { SsdpSocket } from './Sockets/SsdpSocket';
import { SsdpItem } from './SsdpItem';
import { EventEmitter } from 'events';
import { IDisposable } from 'dotup-ts-types';
import { SsdpControlPointEvents } from './SsdpControlPointEvents';
import { SsdpMessage } from './Messages/SsdpMessage';
export declare class SsdpControlPoint extends EventEmitter implements IDisposable {
    private readonly socket;
    private readonly items;
    timer: NodeJS.Timeout;
    constructor(socket: SsdpSocket);
    initialize(): void;
    removeItem(msg: SsdpMessage | SsdpItem): void;
    addOrUpdateItem(msg: SsdpMessage): void;
    parseUsn(msg: SsdpMessage): SsdpItem;
    cleanUp(): void;
    search(): void;
    on<T extends SsdpMessage>(event: SsdpControlPointEvents.found, listener: (item: SsdpItem, message: T) => void): this;
    on(event: SsdpControlPointEvents.lost, listener: (item: SsdpItem) => void): this;
    dispose(): void;
}
